@import "../../style/miam.scss";

.block-title {
  display: flex;
  justify-content: space-between;
  padding-bottom: 10px;
  margin-bottom: 0px;

  .text {
    cursor: pointer;
  }

  .chevron {
    cursor: pointer;
    transition-duration: 0.5s;
    svg {
      width: 18px;
    }
  }

  .down {
    transform: rotate(-180deg);
  }
}

.pos-selection {
  .subtitle {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 10px;

    h4 {
      margin: 0;
    }

  }

  .search {
    display: flex;
    margin-bottom: 15px;

    .input-frame {
      flex: auto;
      border: solid 1px var(--m-color-secondary);
      margin-right: 10px;
      padding: 5px;
      border-radius: var(--m-border-radius-pill);

      input#address-input {
        width: 100%;
        border: none;
        outline: none;
      }
    }

    button.address-button {
      width: 35px;
      padding: 7px;
      svg.fa-search {
        width: 100%;
        height: 100%;
      }
    }
  }

  ng-miam-pos-card {
    .pos-card {
      margin-bottom: 10px;
    }
  }

  .not-found {
    margin-left: 20px;
  }

  .loader-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
}